#include "IncrementalEncoder.h"

#include "Timer.h"

void IncrementalEncoder_conf(TIM_TypeDef * timer)
{
	Timer_encoder_conf(timer);
	// TODO GPIO config
}

void IncrementalEncoder_start(TIM_TypeDef * timer)
{
	Timer_start(timer);
}

int IncrementalEncoder_getAngle(TIM_TypeDef * timer)
{
	return Timer_encoder_getAngle(timer);
}

enum CounterDirection IncrementalEncoder_getDirection(TIM_TypeDef * timer)
{
	return Timer_encoder_getDirection(timer);
}
